junit4 (4.13.2-ok1) yangtze; urgency=medium

  * Build for openKylin.

 -- denghao <denghao@kylinos.cn>  Wed, 11 Jan 2023 13:45:49 +0800

junit4 (4.13.2-3) unstable; urgency=medium

  * Replace hamcrest-core with hamcrest in the pom dependencies

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 05 Oct 2022 11:47:38 +0200

junit4 (4.13.2-2) unstable; urgency=medium

  * Fixed the build failure with Hamcrest 2.x
  * Removed the dependency on libhamcrest-java-doc
  * Standards-Version updated to 4.6.1

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 28 Sep 2022 09:15:47 +0200

junit4 (4.13.2-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches
  * Standards-Version updated to 4.6.0.1

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 21 Nov 2021 23:28:37 +0100

junit4 (4.13.1-2) unstable; urgency=medium

  * Fixed the build failure with OpenJDK 17 (Closes: #981830)
  * Standards-Version updated to 4.5.1
  * Removed debian/orig-tar.sh

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 05 Feb 2021 13:48:11 +0100

junit4 (4.13.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.13.1.
    - Fix CVE-2020-15250: local information disclosure. (Closes: #972231)
  * Switch to debhelper-compat = 13.
  * Refresh Version.patch for new release.
  * Drop privacy-breach-logo.patch and java9/java10-compatibility patches.
    Fixed upstream.
  * Do not install homepage.html. It is gone. (Closes: #888223)
  * Remove junit4-doc.doc-base.2 because homepage.html has been removed.
  * Use debian/copyright format 1.0.

 -- Markus Koschany <apo@debian.org>  Sun, 01 Nov 2020 21:10:34 +0100

junit4 (4.12-8) unstable; urgency=medium

  * Fixed the build failure with Java 11 (Closes: #912474)
  * Standards-Version updated to 4.2.1

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 01 Nov 2018 12:14:37 +0100

junit4 (4.12-7) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure with Java 10 (Closes: #898146)
  * Removed Damien Raude-Morvan from the uploaders (Closes: #889389)
  * Standards-Version updated to 4.1.4

  * Team upload.
  * Fixed the build failure with Java 9 (Closes: #875590)
  * Standards-Version updated to 4.1.1

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 23 Nov 2017 22:47:37 +0100

junit4 (4.12-5) unstable; urgency=medium

  * Removed the build dependency on libmaven-enforcer-plugin-java
  * Removed maven2-compatibility.patch
  * Simplified debian/rules
  * Standards-Version updated to 4.0.0
  * Switch to debhelper level 10
  * Use a secure Vcs-Git URL

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 26 Jul 2017 00:23:33 +0200

junit4 (4.12-4) unstable; urgency=medium

  * Team upload.
  * Override dh_install and execute jh_manifest after the installation took
    place. This ensures that debian/junit4.manifest is really installed into
    the jar file. Remove the old jh_manifest override instead.
    Thanks to Rene Engelhard for the report. (Closes: #808736)

 -- Markus Koschany <apo@debian.org>  Tue, 22 Dec 2015 18:40:50 +0100

junit4 (4.12-3) unstable; urgency=medium

  * Team upload.
  * maven.ignoreRules: Ignore maven replacer plugin to prevent a FTBFS.
    (Closes: #808494)
  * Add Version.java.patch as a replacement for the replacer plugin.
  * Do not remove Version.java in clean target.
  * Switch from cdbs to dh sequencer.
  * Vcs-Browser: Use https.
  * Install all API documentation with junit4-doc.install.
  * Add privacy-breach-logo.patch and fit the Lintian error of the same name.

 -- Markus Koschany <apo@debian.org>  Sun, 20 Dec 2015 21:57:58 +0100

junit4 (4.12-2) unstable; urgency=medium

  * Restored the Class-Path and the OSGi entries in the manifest

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 28 Apr 2015 17:55:03 +0200

junit4 (4.12-1) unstable; urgency=medium

  * New upstream release
    - Build with maven-debian-helper instead of Ant
    - New build dependency on libreplacer-java, libmaven-javadoc-plugin-java
      and libmaven-enforcer-plugin-java
    - Removed the patches
  * Moved the package to Git
  * debian/control: Standards-Version updated to 3.9.6 (no changes)
  * Use XZ compression for the upstream tarball

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 27 Apr 2015 13:00:56 +0200

junit4 (4.11-3) unstable; urgency=medium

  * Fixed a compatibility issue with Java 8
  * debian/control:
    - Standards-Version updated to 3.9.5 (no changes)
    - Use canonical URLs for the Vcs-* fields
  * Switch to debhelper level 9

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 16 Jul 2014 23:22:19 +0200

junit4 (4.11-2) unstable; urgency=low

  * Team upload.
  * Upload to unstable.

 -- tony mancill <tmancill@debian.org>  Tue, 14 May 2013 22:11:21 -0700

junit4 (4.11-1) experimental; urgency=low

  * Team upload.
  * New upstream release
  * Refreshed the patches
  * Updated the OGSi metadata in the manifest
  * Improved the integration of the Javadoc
  * debian/control: Bump Standards-Version to 3.9.4 (no changes)
  * debian/watch: Changed the URL to point to the new Github project page

  [ Tony Mancill ]
  * Update watchfile to fix Github breakage.  (Closes: #693524)
    - Update unused debug line in orig-tar.sh too.
    - Thank you to Jonathan McCrohan <jmccrohan@gmail.com>

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 11 Apr 2013 16:14:44 +0200

junit4 (4.10-3) unstable; urgency=low

  * Team upload.
  * Skip test that relies on execution order that is not
    guaranteed with Java7.  Thanks to James Page for the
    patch.  (Closes: #678171)

 -- Niels Thykier <niels@thykier.net>  Tue, 19 Jun 2012 21:08:15 +0200

junit4 (4.10-2) unstable; urgency=low

  * Remove Bundle-ClassPath attribute from jar manifest.
  * Add Jakub Adam to Uploaders.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Fri, 25 May 2012 22:58:42 +0200

junit4 (4.10-1) unstable; urgency=low

  * New upstream release (Closes: #650662).
  * Fix FTBFS with workaround_typing_bug.diff (Closes: #662807).
  * d/control: Bump to 3.9.3.1 Standards-Version: no changes needed.
  * d/control: Remove Michael Koch from Uploaders list (Closes: #654042).
  * d/watch: Get new github tags, thanks to David Paleino
    (Closes: #653597).
  * d/control: Wrap-and-sort.
  * d/control: Don't use maven-ant-helper anymore for build.

 -- Damien Raude-Morvan <drazzib@debian.org>  Wed, 07 Mar 2012 22:56:14 +0100

junit4 (4.8.2-2) unstable; urgency=low

  * Team upload.
  * Add Class-Path: hamcrest-core.jar to MANIFEST. (Closes: #527308, #587135)
  * Remove debian/libjunit4-java.poms because there is no such package.
  * Remove get-orig-pom target because upstream provides a pom.xml now.
  * Set property bin.package to junit4.

 -- Torsten Werner <twerner@debian.org>  Fri, 25 Jun 2010 15:35:10 +0200

junit4 (4.8.2-1) unstable; urgency=low

  [Ludovic Claude]
  * Add myself to Uploaders
  * New upstream version
  * Update debian/watch and get the original tarball from GitHub
  * Use the tarball that contains the full project files, including pom.xml
    and documentation
  * Add Build-Depends-Indep on maven-ant-helper
  * Changed the build to use maven-ant-helper. Deleted debian/build.xml
    and reorganized debian/rules, javadoc is now linked to hamcrest docs.
  * Add Build-Depends-Indep and Depends for the junit4-doc package on
    libhamcrest-java-doc and default-jdk-doc
  * Install the site docs in addition to the javadocs.
  * Run unit tests during the build, add Build-Depends-Indep on
    junit and ant-optional
  * Use upstream pom.xml

  [Varun Hiremath]
  * Set java source/target in d/ant.properties instead of d/rules

 -- Ludovic Claude <ludovic.claude@laposte.net>  Wed, 26 May 2010 22:10:17 +0200

junit4 (4.8.1-3) unstable; urgency=low

  * Install Javadoc inside /usr/share/doc/junit4/ instead of
    /usr/share/java/junit4/.
  * Register Javadoc with doc-base.

 -- Damien Raude-Morvan <drazzib@debian.org>  Sat, 13 Mar 2010 22:30:55 +0100

junit4 (4.8.1-2) unstable; urgency=low

  [ Ludovic Claude ]
  * Update version number of junit in debian/pom.xml (Closes: #573581)
  * Added target get-orig-pom to debian/rules.
    Maintainer should run 'debian/rules get-orig-pom'
    to update the POM file on a new upstream version, or
    at least update the version manually in debian/pom.xml

  [ Varun Hiremath ]
  * Switch to source format 3.0
  * Bump Standards-Version to 3.8.4

 -- Varun Hiremath <varun@debian.org>  Sat, 13 Mar 2010 01:03:15 -0500

junit4 (4.8.1-1) unstable; urgency=low

  * New upstream release

 -- Damien Raude-Morvan <drazzib@debian.org>  Sat, 12 Dec 2009 20:06:05 +0100

junit4 (4.7-3) unstable; urgency=low

  [ Thierry Carrez ]
  * Minimal dependency on default-jre-headless | java5-runtime-headless, since
    java5 code is produced and junit4 doesn't require full JRE.

  [ Damien Raude-Morvan ]
  * Update my email address
  * Bump debhelper version to >= 7
  * Add OSGi metadata to junit4.jar (Closes: #558186)

 -- Damien Raude-Morvan <drazzib@debian.org>  Sun, 29 Nov 2009 01:06:09 +0100

junit4 (4.7-2) unstable; urgency=low

  * NEWS.Debian and README.Debian: explain usage of JUnit4 with Ant.
    Thanks for Antti-Juhani Kaijanaho <ajk@debian.org> for spotting this
    (Closes: #543327).

 -- Damien Raude-Morvan <drazzib@drazzib.com>  Mon, 24 Aug 2009 23:32:31 +0200

junit4 (4.7-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.8.3: no changes needed
  * Remove versionned B-D on cdbs: even oldstable has this release
  * Use default-jdk/jre:
    - Build-Depends on default-jdk
    - Use /usr/lib/jvm/default-java as JAVA_HOME
  * Maven POMs:
    - Create basic Maven POM in debian/pom.xml
    - Add a Build-Depends-Indep dependency on maven-repo-helper
    - Use mh_installpom and mh_installjar to install the POM and the jar to the
      Maven repository
  * Move ant and default-jdk to B-D-I (needed for clean target)
  * Split Javadoc API in a -doc package

 -- Damien Raude-Morvan <drazzib@drazzib.com>  Sun, 23 Aug 2009 15:44:11 +0200

junit4 (4.6-2) unstable; urgency=low

  * debian/build.xml:
    Add hamcrest-core.jar in Class-Path using junit4.jar Manifest file.
    Thanks to Florian Weimer. (Closes: #527308)
  * Remove NEWS.Debian as migration from 4.3 does not require user action.
  * debian/copyright: include copyright assignment before licence
  * Bump Standards-Version to 3.8.2: no changes needed

 -- Damien Raude-Morvan <drazzib@drazzib.com>  Mon, 22 Jun 2009 22:25:36 +0200

junit4 (4.6-1) unstable; urgency=low

  [ Damien Raude-Morvan ]
  * New upstream release
    - Upload to unstable (Closes: #521111, #526286)
    - Depends on libhamcrest-java (see NEWS.Debian)
  * debian/control:
   - Add myself to Uploaders
   - Add ${misc:Depends} in Depends of junit4
   - Add libhamcrest-java in Depends of junit4
   - Updated Standards-Version to 3.8.1
  * debian/build.xml:
   - Move "org" and "junit" packages as subdir of "build-src"
     to get right package placement for Javadoc generation
   - Don't include ant.properties (already included by default
     by CDBS ant-vars.mk)
  * debian/copyright:
   - Update upstream source location (come back on SF.net)

  [ Varun Hiremath ]
  * Add junit4 link in ant's lib directory (Closes: #512530)

 -- Varun Hiremath <varun@debian.org>  Tue, 05 May 2009 20:37:46 -0400

junit4 (4.5-1) experimental; urgency=low

  * New upstream release (Closes: #446464)
  * Switch to openjdk
  * Remove old patches, no longer used
  * Rename debian/junit4.install to debian/docs
  * Add debian/build.xml and debian/ant.properties to build sources
  * Add orig-tar.sh script to generate source tarball
  * Clean up debian/rules file and add get-orig-source target
  * Update watch file

 -- Varun Hiremath <varun@debian.org>  Sat, 06 Dec 2008 18:54:44 -0500

junit4 (4.3.1-4) unstable; urgency=low

  * Fix junit4.jar symlink (Closes: #470451)
  * Fixed symlink also fixes FTBFS bugs (Closes: #470353, #470331)
  * Add patches/source_version.diff to set source version to 1.5
  * Add patches/disable_test.diff to disable one failing test
  * Add myself to Uploaders

 -- Varun Hiremath <varun@debian.org>  Tue, 11 Mar 2008 23:13:44 +0530

junit4 (4.3.1-3) unstable; urgency=low

  * Added Depends on java-gcj-compat | java1-runtime | java2-runtime to
    junit4. Closes: #457254.
  * Made Debian Java Maintainers the Maintainer of this package, moved Florian
    to Uploaders and added myself too.
  * Removed "-1" in versioned build-dependency on java-gcj-compat-dev.
  * Added Homepage, Vcs-Browser and Vcs-Svn fields.
  * Updated Standards-Version to 3.7.3.
  * Added watch file.

 -- Michael Koch <konqueror@gmx.de>  Mon, 03 Mar 2008 00:12:54 +0100

junit4 (4.3.1-2) unstable; urgency=low

  * Change section to main.

 -- Florian Weimer <fw@deneb.enyo.de>  Mon, 03 Sep 2007 08:14:52 +0200

junit4 (4.3.1-1) unstable; urgency=low

  * Initial package version.  Closes: #420793.
  * Change test case to accept a class name variant generated by GNU
    Classpath.

 -- Florian Weimer <fw@deneb.enyo.de>  Sun, 02 Sep 2007 16:09:59 +0200
